#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.0
visibility:           public
id:                   clash-ghc-1.4.0-9qbwVjrV3SRDnBEufnY9xT
key:                  clash-ghc-1.4.0-9qbwVjrV3SRDnBEufnY9xT
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  488b301ded91e9369550188680436020
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-8.10.4/site-local/clash-ghc-1.4.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/clash-ghc-1.4.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/clash-ghc-1.4.0
hs-libraries:         HSclash-ghc-1.4.0-9qbwVjrV3SRDnBEufnY9xT
depends:
    Cabal-3.2.1.0 array-0.5.4.0 base-4.14.1.0
    bifunctors-5.5.10-7GO5nK7ouLd3DPBWww113A bytestring-0.10.12.0
    clash-lib-1.4.0-8jJfqnIkCwN4KW43euY1Ba
    clash-prelude-1.4.0-1Xz9Cr2u8NVEYRInUZYoYM
    concurrent-supply-0.1.8-IZAedLr6dORBTiHtUESMbz containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 exceptions-0.10.4
    extra-1.7.9-HgDiAOSmyMbJkCAmsHf6J3 filepath-1.4.2.1 ghc-8.10.4
    ghc-boot-8.10.4 ghc-prim-0.6.1
    ghc-typelits-extra-0.4.2-4Gc2AOtcaLaH9KzeSTN7Fg
    ghc-typelits-knownnat-0.7.5-LM9BwBAKOcB9sc4BCwjeru
    ghc-typelits-natnormalise-0.7.4-G3BnZ3AzSchIZllhzJepRP ghci-8.10.4
    hashable-1.3.1.0-5wlJXyHm50SFuYmZaY4yzV haskeline-0.8.0.1
    integer-gmp-1.0.3.0 lens-4.19.2-5vk4uMRj9ksDVAJ2OGjSE4 mtl-2.2.2
    primitive-0.7.1.0-2kQMfgjKc9B2l3KIAcITNL process-1.6.9.0
    reflection-2.1.6-3wGTdpjoV3lEXWQzp1BGaJ
    split-0.2.3.4-8n1o6JaDyUD8TqDrYr4ukJ template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-6ig2i7FZ9vJGM8WjDxi3Pi unix-2.7.2.2
    unordered-containers-0.2.13.0-8xrAhv2QGcsF4IHfxyp1m2
    utf8-string-1.0.2-IJwgsjBkJolJJdV6pKTYGC
    vector-0.12.2.0-Fhpcj4oaE8d6h7vKPBvHg3

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

